> For the complete documentation index, see [llms.txt](https://www.pionex.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.pionex.com/docs/api-docs/references/api-key-permissions.md).

# API Key Permissions

Each API Key can be configured with specific permissions.

The table below lists which permission is required for each endpoint, and the corresponding MCP tool, CLI subcommand, and Skills in [pionex-ai-kit](https://github.com/pionex-official/pionex-ai-kit).

| Permission                         | Description                                                                                                                                                                            | API                                                                                                                                                                                                                                                                                                                                                                       | MCP                                                                                                                                                                                                                                                                                                                              | CLI                                                                                                                                                                                                                                                                                                                                                                 | Skills                                                                                                   |
| ---------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| Public                             | No API Key required.                                                                                                                                                                   | <p><code>GET /api/v1/common/symbols</code></p><p><code>GET /api/v1/common/riskTable</code></p><p><code>GET /api/v1/market/trades</code></p><p><code>GET /api/v1/market/depth</code></p><p><code>GET /api/v1/market/tickers</code></p><p><a href="#public-api-all">All</a></p>                                                                                             | <p><code>pionex\_market\_get\_symbol\_info</code></p><p><code>pionex\_market\_get\_trades</code></p><p><code>pionex\_market\_get\_depth</code></p><p><code>pionex\_market\_get\_tickers</code></p><p><code>pionex\_market\_get\_klines</code></p><p><a href="#public-mcp-all">All</a></p>                                        | <p><code>pionex-trade-cli market symbols</code></p><p><code>pionex-trade-cli market trades</code></p><p><code>pionex-trade-cli market depth</code></p><p><code>pionex-trade-cli market tickers</code></p><p><code>pionex-trade-cli market klines</code></p><p><a href="#public-cli-all">All</a></p>                                                                 | <p><code>pionex-market</code></p><p><code>pionex-earn-dual</code></p>                                    |
| Enable reading                     | Query account and order information.                                                                                                                                                   | <p><code>GET /api/v1/account/balances</code></p><p><code>GET /api/v1/wallet/balancesFull</code></p><p><code>GET /api/v1/trade/order</code></p><p><code>GET /api/v1/trade/orderByClientOrderId</code></p><p><code>GET /api/v1/trade/openOrders</code></p><p><code>GET /api/v1/trade/allOrders</code></p><p><a href="#enable-reading-api-all">All</a></p>                   | <p><code>pionex\_account\_get\_balance</code></p><p><code>pionex\_orders\_get\_order</code></p><p><code>pionex\_orders\_get\_order\_by\_client\_order\_id</code></p><p><code>pionex\_orders\_get\_open\_orders</code></p><p><code>pionex\_orders\_get\_all\_orders</code></p><p><a href="#enable-reading-mcp-all">All</a></p>    | <p><code>pionex-trade-cli account balance</code></p><p><code>pionex-trade-cli orders get</code></p><p><code>pionex-trade-cli orders open</code></p><p><code>pionex-trade-cli orders all</code></p><p><code>pionex-trade-cli orders fills</code></p><p><a href="#enable-reading-cli-all">All</a></p>                                                                 | <p><code>pionex-portfolio</code></p><p><code>pionex-trade</code></p><p><code>pionex-earn-dual</code></p> |
| Enable trading                     | Place and cancel orders.                                                                                                                                                               | <p><code>POST /api/v1/trade/order</code></p><p><code>DELETE /api/v1/trade/order</code></p><p><code>POST /api/v1/trade/massOrder</code></p><p><code>DELETE /api/v1/trade/allOrders</code></p><p><code>POST /uapi/v1/trade/order</code></p><p><a href="#enable-trading-api-all">All</a></p>                                                                                 | <p><code>pionex\_orders\_new\_order</code></p><p><code>pionex\_orders\_cancel\_order</code></p><p><code>pionex\_orders\_cancel\_all\_orders</code></p>                                                                                                                                                                           | <p><code>pionex-trade-cli orders new</code></p><p><code>pionex-trade-cli orders cancel</code></p><p><code>pionex-trade-cli orders cancel\_all</code></p>                                                                                                                                                                                                            | `pionex-trade`                                                                                           |
| Enable transfer                    | Transfer funds between accounts.                                                                                                                                                       | `POST /api/v1/assets/transfer`                                                                                                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                          |
| Bot reading                        | Query bot order information.                                                                                                                                                           | <p><code>GET /api/v1/bot/orders</code></p><p><code>GET /api/v1/bot/orders/futuresGrid/order</code></p><p><code>GET /api/v1/bot/orders/spotGrid/order</code></p><p><code>GET /api/v1/bot/orders/spotGrid/aiStrategy</code></p><p><code>GET /api/v1/bot/orders/smartCopy/order</code></p><p><a href="#bot-reading-api-all">All</a></p>                                      | <p><code>pionex\_bot\_order\_list</code></p><p><code>pionex\_bot\_futures\_grid\_get\_order</code></p><p><code>pionex\_bot\_spot\_grid\_get\_order</code></p><p><code>pionex\_bot\_spot\_grid\_get\_ai\_strategy</code></p><p><code>pionex\_bot\_smart\_copy\_get\_order</code></p><p><a href="#bot-reading-mcp-all">All</a></p> | <p><code>pionex-trade-cli bot order\_list</code></p><p><code>pionex-trade-cli bot futures\_grid get</code></p><p><code>pionex-trade-cli bot spot\_grid get</code></p><p><code>pionex-trade-cli bot spot\_grid get\_ai\_strategy</code></p><p><code>pionex-trade-cli bot smart\_copy get</code></p><p><a href="#bot-reading-cli-all">All</a></p>                     | `pionex-bot`                                                                                             |
| Bot trading                        | Create and manage bot orders.                                                                                                                                                          | <p><code>POST /api/v1/bot/orders/futuresGrid/create</code></p><p><code>POST /api/v1/bot/orders/futuresGrid/adjustParams</code></p><p><code>POST /api/v1/bot/orders/futuresGrid/reduce</code></p><p><code>POST /api/v1/bot/orders/futuresGrid/cancel</code></p><p><code>POST /api/v1/bot/orders/spotGrid/create</code></p><p><a href="#bot-trading-api-all">All</a></p>    | <p><code>pionex\_bot\_futures\_grid\_create</code></p><p><code>pionex\_bot\_futures\_grid\_adjust\_params</code></p><p><code>pionex\_bot\_futures\_grid\_reduce</code></p><p><code>pionex\_bot\_futures\_grid\_cancel</code></p><p><code>pionex\_bot\_spot\_grid\_create</code></p><p><a href="#bot-trading-mcp-all">All</a></p> | <p><code>pionex-trade-cli bot futures\_grid create</code></p><p><code>pionex-trade-cli bot futures\_grid adjust\_params</code></p><p><code>pionex-trade-cli bot futures\_grid reduce</code></p><p><code>pionex-trade-cli bot futures\_grid cancel</code></p><p><code>pionex-trade-cli bot spot\_grid create</code></p><p><a href="#bot-trading-cli-all">All</a></p> | `pionex-bot`                                                                                             |
| Earn (Beta)                        | Create and manage Arbitrage and Dual Investment orders.                                                                                                                                | <p><code>POST /api/v1/earn/arbitrage/stake</code></p><p><code>POST /api/v1/earn/arbitrage/unStake</code></p><p><code>POST /api/v1/earn/dual/invest</code></p><p><code>DELETE /api/v1/earn/dual/invest</code></p><p><code>POST /api/v1/earn/dual/collect</code></p>                                                                                                        | <p><code>pionex\_earn\_arbitrage\_stake</code></p><p><code>pionex\_earn\_arbitrage\_un\_stake</code></p><p><code>pionex\_earn\_dual\_invest</code></p><p><code>pionex\_earn\_dual\_revoke\_invest</code></p><p><code>pionex\_earn\_dual\_collect</code></p>                                                                      | <p><code>pionex-trade-cli earn arbitrage stake</code></p><p><code>pionex-trade-cli earn arbitrage unStake</code></p><p><code>pionex-trade-cli earn dual invest</code></p><p><code>pionex-trade-cli earn dual revoke\_invest</code></p><p><code>pionex-trade-cli earn dual collect</code></p>                                                                        | <p><code>pionex-earn-arbitrage</code></p><p><code>pionex-earn-dual</code></p>                            |
| Institutional deposit & withdrawal | Create institutional fiat withdrawal requests (Internal).                                                                                                                              | `POST /api/v1/instFund/straitsx/createWithdraw`                                                                                                                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                          |
| Institution read (Internal)        | Query institutional sub-accounts, KYB, deposit/payout, on-chain assets, and balances (Internal). Uses institution signature auth with the `read` scope.                                | <p><code>GET /api/v2/institution/users</code></p><p><code>GET /api/v2/institution/kyb</code></p><p><code>GET /api/v2/institution/wire/deposit/accounts</code></p><p><code>GET /api/v2/institution/wire/payout/orders</code></p><p><code>GET /api/v2/institution/account/balances</code></p><p><a href="#institution-read-api-all">All</a></p>                             |                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                          |
| Institution write (Internal)       | Create sub-accounts, submit KYB, manage payout accounts, and create payouts, on-chain withdrawals, and conversions (Internal). Uses institution signature auth with the `write` scope. | <p><code>POST /api/v2/institution/user/create</code></p><p><code>POST /api/v2/institution/kyb/create</code></p><p><code>POST /api/v2/institution/wire/payout/account/create</code></p><p><code>POST /api/v2/institution/wire/payout/order/create</code></p><p><code>POST /api/v2/institution/asset/withdraw</code></p><p><a href="#institution-write-api-all">All</a></p> |                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                          |

## Appendix

### Public API (All) <a href="#public-api-all" id="public-api-all"></a>

* `GET /api/v1/common/symbols`
* `GET /api/v1/common/riskTable`
* `GET /api/v1/market/trades`
* `GET /api/v1/market/depth`
* `GET /api/v1/market/tickers`
* `GET /api/v1/market/bookTickers`
* `GET /api/v1/market/bookTicker`
* `GET /api/v1/market/klines`
* `GET /api/v1/market/indexKlines`
* `GET /api/v1/market/markKlines`
* `GET /api/v1/market/fundingRates`
* `GET /api/v1/market/indexes`
* `GET /api/v1/market/openInterests`
* `GET /api/v1/earn/dual/symbols`
* `GET /api/v1/earn/dual/openProducts`
* `GET /api/v1/earn/dual/prices`
* `GET /api/v1/earn/dual/index`
* `GET /api/v1/earn/dual/deliveryPrices`

### Public — MCP (All) <a href="#public-mcp-all" id="public-mcp-all"></a>

* `pionex_market_get_symbol_info`
* `pionex_market_get_trades`
* `pionex_market_get_depth`
* `pionex_market_get_tickers`
* `pionex_market_get_book_tickers`
* `pionex_market_get_klines`
* `pionex_earn_dual_symbols`
* `pionex_earn_dual_open_products`
* `pionex_earn_dual_prices`
* `pionex_earn_dual_index`
* `pionex_earn_dual_delivery_prices`

### Public — CLI (All) <a href="#public-cli-all" id="public-cli-all"></a>

* `pionex-trade-cli market symbols`
* `pionex-trade-cli market trades`
* `pionex-trade-cli market depth`
* `pionex-trade-cli market tickers`
* `pionex-trade-cli market book_tickers`
* `pionex-trade-cli market klines`
* `pionex-trade-cli earn dual symbols`
* `pionex-trade-cli earn dual open_products`
* `pionex-trade-cli earn dual prices`
* `pionex-trade-cli earn dual index`
* `pionex-trade-cli earn dual delivery_prices`

### Enable Reading — API (All) <a href="#enable-reading-api-all" id="enable-reading-api-all"></a>

* `GET /api/v1/account/balances`
* `GET /api/v1/wallet/balancesFull`
* `GET /api/v1/trade/order`
* `GET /api/v1/trade/orderByClientOrderId`
* `GET /api/v1/trade/openOrders`
* `GET /api/v1/trade/allOrders`
* `GET /api/v1/trade/fills`
* `GET /api/v1/trade/fillsByOrderId`
* `GET /uapi/v1/account/balances`
* `GET /uapi/v1/account/positions`
* `GET /uapi/v1/account/historyPositions`
* `GET /uapi/v1/account/detail`
* `GET /uapi/v1/account/leverage`
* `GET /uapi/v1/account/positionMode`
* `GET /uapi/v1/trade/isolatedMode`
* `GET /uapi/v1/trade/order`
* `GET /uapi/v1/trade/orderByClientOrderId`
* `GET /uapi/v1/trade/openOrders`
* `GET /uapi/v1/trade/historyOrders`
* `GET /uapi/v1/trade/fills`
* `GET /uapi/v1/trade/fillsByOrderId`
* `GET /uapi/v1/trade/fundingFee`
* `GET /api/v1/assets/transfer`
* `GET /api/v1/assets/transfers`
* `GET /api/v1/earn/dual/balances`
* `POST /api/v1/earn/dual/invests`
* `GET /api/v1/earn/dual/records`
* `POST /api/v1/bot/signal/listener`
* `GET /api/v1/earn/arbitrage/fetchProducts`
* `GET /api/v1/earn/arbitrage/fetchUserBalances`
* `GET /api/v1/instFund/straitsx/getAccount`
* `GET /api/v1/instFund/straitsx/getWithdrawAccounts`
* `GET /api/v1/instFund/common/getDeposits`
* `GET /api/v1/instFund/common/getWithdraws`
* `GET /api/v1/instFund/common/getFee`

### Enable Reading — MCP (All) <a href="#enable-reading-mcp-all" id="enable-reading-mcp-all"></a>

* `pionex_account_get_balance`
* `pionex_wallet_get_balance_full`
* `pionex_orders_get_order`
* `pionex_orders_get_order_by_client_order_id`
* `pionex_orders_get_open_orders`
* `pionex_orders_get_all_orders`
* `pionex_orders_get_fills`
* `pionex_orders_get_fills_by_order_id`
* `pionex_earn_dual_balances`
* `pionex_earn_dual_get_invests`
* `pionex_earn_dual_records`
* `pionex_earn_arbitrage_fetch_products`
* `pionex_earn_arbitrage_fetch_user_balances`
* `pionex_bot_signal_listener`

### Enable Reading — CLI (All) <a href="#enable-reading-cli-all" id="enable-reading-cli-all"></a>

* `pionex-trade-cli account balance`
* `pionex-trade-cli wallet balance_full`
* `pionex-trade-cli orders get`
* `pionex-trade-cli orders open`
* `pionex-trade-cli orders all`
* `pionex-trade-cli orders fills`
* `pionex-trade-cli orders fills_by_order_id`
* `pionex-trade-cli earn dual balances`
* `pionex-trade-cli earn dual get_invests`
* `pionex-trade-cli earn dual records`
* `pionex-trade-cli earn arbitrage fetchProducts`
* `pionex-trade-cli earn arbitrage fetchUserBalances`
* `pionex-trade-cli bot signal listener`

### Bot Reading — API (All) <a href="#bot-reading-api-all" id="bot-reading-api-all"></a>

* `GET /api/v1/bot/orders`
* `GET /api/v1/bot/orders/futuresGrid/order`
* `GET /api/v1/bot/orders/spotGrid/order`
* `GET /api/v1/bot/orders/spotGrid/aiStrategy`
* `GET /api/v1/bot/orders/smartCopy/order`
* `POST /api/v1/bot/orders/futuresGrid/checkParams`
* `POST /api/v1/bot/orders/spotGrid/checkParams`
* `POST /api/v1/bot/orders/smartCopy/checkParams`
* `GET /api/v1/bot/signal/userSignal`
* `GET /api/v1/bot/signal/userSignal/detail`

### Bot Reading — MCP (All) <a href="#bot-reading-mcp-all" id="bot-reading-mcp-all"></a>

* `pionex_bot_order_list`
* `pionex_bot_futures_grid_get_order`
* `pionex_bot_spot_grid_get_order`
* `pionex_bot_spot_grid_get_ai_strategy`
* `pionex_bot_smart_copy_get_order`
* `pionex_bot_futures_grid_check_params`
* `pionex_bot_spot_grid_check_params`
* `pionex_bot_smart_copy_check_params`
* `pionex_bot_user_signal_list`
* `pionex_bot_user_signal_get`

### Bot Reading — CLI (All) <a href="#bot-reading-cli-all" id="bot-reading-cli-all"></a>

* `pionex-trade-cli bot order_list`
* `pionex-trade-cli bot futures_grid get`
* `pionex-trade-cli bot spot_grid get`
* `pionex-trade-cli bot spot_grid get_ai_strategy`
* `pionex-trade-cli bot smart_copy get`
* `pionex-trade-cli bot futures_grid check_params`
* `pionex-trade-cli bot spot_grid check_params`
* `pionex-trade-cli bot smart_copy check_params`
* `pionex-trade-cli bot signal user_signal_list`
* `pionex-trade-cli bot signal user_signal_get`

### Bot Trading — API (All) <a href="#bot-trading-api-all" id="bot-trading-api-all"></a>

* `POST /api/v1/bot/orders/futuresGrid/create`
* `POST /api/v1/bot/orders/futuresGrid/adjustParams`
* `POST /api/v1/bot/orders/futuresGrid/reduce`
* `POST /api/v1/bot/orders/futuresGrid/cancel`
* `POST /api/v1/bot/orders/spotGrid/create`
* `POST /api/v1/bot/orders/spotGrid/adjustParams`
* `POST /api/v1/bot/orders/spotGrid/investIn`
* `POST /api/v1/bot/orders/spotGrid/cancel`
* `POST /api/v1/bot/orders/spotGrid/profit`
* `POST /api/v1/bot/orders/smartCopy/create`
* `POST /api/v1/bot/orders/smartCopy/cancel`
* `POST /api/v1/bot/signal/userSignal`
* `POST /api/v1/bot/signal/userSignal/edit`
* `DELETE /api/v1/bot/signal/userSignal/delete`

### Bot Trading — MCP (All) <a href="#bot-trading-mcp-all" id="bot-trading-mcp-all"></a>

* `pionex_bot_futures_grid_create`
* `pionex_bot_futures_grid_adjust_params`
* `pionex_bot_futures_grid_reduce`
* `pionex_bot_futures_grid_cancel`
* `pionex_bot_spot_grid_create`
* `pionex_bot_spot_grid_adjust_params`
* `pionex_bot_spot_grid_invest_in`
* `pionex_bot_spot_grid_cancel`
* `pionex_bot_spot_grid_profit`
* `pionex_bot_smart_copy_create`
* `pionex_bot_smart_copy_cancel`
* `pionex_bot_user_signal_create`
* `pionex_bot_user_signal_edit`
* `pionex_bot_user_signal_delete`

### Bot Trading — CLI (All) <a href="#bot-trading-cli-all" id="bot-trading-cli-all"></a>

* `pionex-trade-cli bot futures_grid create`
* `pionex-trade-cli bot futures_grid adjust_params`
* `pionex-trade-cli bot futures_grid reduce`
* `pionex-trade-cli bot futures_grid cancel`
* `pionex-trade-cli bot spot_grid create`
* `pionex-trade-cli bot spot_grid adjust_params`
* `pionex-trade-cli bot spot_grid invest_in`
* `pionex-trade-cli bot spot_grid cancel`
* `pionex-trade-cli bot spot_grid profit`
* `pionex-trade-cli bot smart_copy create`
* `pionex-trade-cli bot smart_copy cancel`
* `pionex-trade-cli bot signal user_signal_create`
* `pionex-trade-cli bot signal user_signal_edit`
* `pionex-trade-cli bot signal user_signal_delete`

### Enable Trading — API (All) <a href="#enable-trading-api-all" id="enable-trading-api-all"></a>

* `POST /api/v1/trade/order`
* `DELETE /api/v1/trade/order`
* `POST /api/v1/trade/massOrder`
* `DELETE /api/v1/trade/allOrders`
* `POST /uapi/v1/trade/order`
* `DELETE /uapi/v1/trade/order`
* `POST /uapi/v1/trade/massOrder`
* `DELETE /uapi/v1/trade/allOrders`
* `POST /uapi/v1/trade/isolateMargin`
* `POST /uapi/v1/account/leverage`
* `POST /uapi/v1/account/positionMode`
* `POST /uapi/v1/trade/isolatedMode`

### Institution Read — API (All) <a href="#institution-read-api-all" id="institution-read-api-all"></a>

* `GET /api/v2/institution/users`
* `GET /api/v2/institution/kyb`
* `GET /api/v2/institution/wire/deposit/account/requirements`
* `GET /api/v2/institution/wire/deposit/account`
* `GET /api/v2/institution/wire/deposit/accounts`
* `GET /api/v2/institution/wire/deposit/orders`
* `GET /api/v2/institution/wire/deposit/order`
* `GET /api/v2/institution/wire/payout/account/requirements`
* `GET /api/v2/institution/wire/payout/accounts`
* `GET /api/v2/institution/wire/payout/orders`
* `GET /api/v2/institution/wire/payout/order`
* `GET /api/v2/institution/asset/currencies`
* `GET /api/v2/institution/asset/withdraw`
* `GET /api/v2/institution/asset/records`
* `GET /api/v2/institution/addressBooks`
* `GET /api/v2/institution/account/balances`
* `GET /api/v2/institution/convert/orders`
* `GET /api/v2/institution/convert/order`
* `GET /api/v2/institution/file/download`

### Institution Write — API (All) <a href="#institution-write-api-all" id="institution-write-api-all"></a>

* `POST /api/v2/institution/user/create`
* `POST /api/v2/institution/kyb/create`
* `POST /api/v2/institution/wire/deposit/account/create`
* `POST /api/v2/institution/wire/payout/account/create`
* `POST /api/v2/institution/wire/payout/account/update`
* `POST /api/v2/institution/wire/payout/account/delete`
* `POST /api/v2/institution/wire/payout/order/create`
* `POST /api/v2/institution/asset/withdraw`
* `POST /api/v2/institution/addressBook`
* `POST /api/v2/institution/addressBook/delete`
* `POST /api/v2/institution/convert/order/create`
* `POST /api/v2/institution/file/upload`
